Bug 1634168 (CVE-2018-0504) - CVE-2018-0504 mediawiki: Information exposure when a log event is (partially) hidden
Summary: CVE-2018-0504 mediawiki: Information exposure when a log event is (partially)...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-0504
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1710100 1742217 1634170 1734836 1734837 1742216
Blocks: 1634171
TreeView+ depends on / blocked
 
Reported: 2018-09-28 20:42 UTC by Pedro Sampaio
Modified: 2019-11-07 16:54 UTC (History)
16 users (show)

Fixed In Version: mediawiki 1.31.1, mediawiki 1.30.1, mediawiki 1.29.3, mediawiki 1.27.5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-29 18:51:12 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3238 None None None 2019-10-29 16:09:16 UTC
Red Hat Product Errata RHSA-2019:3813 None None None 2019-11-07 16:54:06 UTC

Description Pedro Sampaio 2018-09-28 20:42:08 UTC
As reported:

A flaw was found in mediawiki. When a log event is (partially) hidden Special:Redirect/logid can link to the incorrect log and reveal hidden information.

Upstream bug:

https://phabricator.wikimedia.org/T187638

References:

https://lists.wikimedia.org/pipermail/mediawiki-announce/2018-September/000223.html

Comment 1 Pedro Sampaio 2018-09-28 20:46:47 UTC
Created mediawiki tracking bugs for this issue:

Affects: fedora-all [bug 1634170]

Comment 3 Dave Baker 2019-05-14 21:05:39 UTC
Updating affected products; mediawiki-123 is the container name, mediawiki123 is the package name.

Comment 7 errata-xmlrpc 2019-10-29 16:09:15 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 3.10

Via RHSA-2019:3238 https://access.redhat.com/errata/RHSA-2019:3238

Comment 8 Product Security DevOps Team 2019-10-29 18:51:12 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-0504

Comment 9 errata-xmlrpc 2019-11-07 16:54:04 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 3.9

Via RHSA-2019:3813 https://access.redhat.com/errata/RHSA-2019:3813


Note You need to log in before you can comment on or make changes to this bug.